Name:		aduna-commons-pom
Version:	16
Release:	1%{?dist}
Summary:	Aduna Commons parent pom

Group:		Development/Libraries
License:	BSD
URL:		http://www.aduna-software.com/
Source0:	http://repo.aduna-software.org/maven2/releases/info/aduna/commons/aduna-commons/%{version}/aduna-commons-%{version}.pom
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	aduna-root-poms

BuildRequires:	jpackage-utils >= 0:1.7.5
Requires:	jpackage-utils >= 0:1.7.5
Requires(post):	jpackage-utils >= 0:1.7.5
Requires(postun):	jpackage-utils >= 0:1.7.5

# Requirements from the POM
Requires:	maven2-plugin-compiler
Requires:	maven-plugin-bundle
Requires:	maven2-plugin-javadoc

BuildArch:	noarch

%description
%{summary}.

%prep
%setup -c -T
cp %SOURCE0 .

%build
# Nothing to do ...

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 aduna-commons-%{version}.pom \
	$RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-aduna-commons.pom

%add_to_maven_depmap info.aduna.commons aduna-commons %{version} JPP aduna-commons

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*.pom

%changelog
* Wed Feb  3 2010 Mary Ellen Foster <mefoster at gmail.com> 16-1
- Update to new upstream version with license information included
- Add all plugins from the POM as Requirements
- Fix URL

* Fri Nov 20 2009 Mary Ellen Foster <mefoster at gmail.com> 14-1
- Initial package
